<?php

namespace App\Controllers;
/*
MERM Providers Login
*/
class Login extends BaseController {

    public function HomeLogin(){
        $data = array();
        return $this->renderExternalPage('welcome_message', $data);
    }
    public function StartLogin() {
      
        $data = array();
        $data['username'] = $data['pass'] = $data['error_message']='';
        //$this->request->getPost();


        $data = array();
        return $this->renderExternalPage('welcome_message', $data);

    } // end of index Login

    public function RegisterAccount(){
        $data = array();
        return $this->renderExternalPage('register', $data);
    }
    private function verifyLoginInput(&$data) {

        $ret = false;
        if ($data['username'] == '' or $data['pass'] == '') {
            $data['error_message']="Username and password required";
        }

        if (trim($data['username']) != '' or trim($data['pass']) != '') {
            $ret = true;
        }

        return $ret;
    }

}
